## kdevelop-php 5.3.2

=== debian/changelog ===
kdevelop-php (5.3.2-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.3.2).

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Mar 2019 21:01:04 +0000

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>,
Build-Depends: cmake (>= 3.0),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.15.0),
               qtbase5-dev (>= 5.5.0),
               libkf5archive-dev (>= 5.15.0),
               libkf5i18n-dev (>= 5.15.0),
               libkf5itemmodels-dev (>= 5.15.0),
               libkf5kcmutils-dev (>= 5.15.0),
               libkf5texteditor-dev (>= 5.15.0),
               libkf5threadweaver-dev (>= 5.15.0),
               kdevelop-dev (>= 4:5.3.2),
               kdevelop-pg-qt (>= 2.0),
               pkg-kde-tools (>= 0.15.16),
Standards-Version: 4.2.1
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-docs-l10n (<< 5.0),
Replaces: kdevelop-php-docs-l10n (<< 5.0),
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

## kdevelop-php 5.3.3

=== debian/changelog ===
kdevelop-php (5.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.3, as indicated by the
    upstream build system.
  * Switch from --list-missing to --fail-missing for dh_missing; everything is
    installed already.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2019 07:05:43 +0200

kdevelop-php (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.3.2, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kdevelop-php-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jul 2019 08:13:35 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                libkf5kcmutils-dev (>= 5.15.0),
                libkf5texteditor-dev (>= 5.15.0),
                libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.3.2),
+               kdevelop-dev (>= 4:5.3.3),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# do not ship the development stuff for now
	rm -rf debian/tmp/usr/include/
	rm -rf debian/tmp/usr/lib/*/cmake/

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_test

## kdevelop-php 5.4.2

=== debian/changelog ===
kdevelop-php (5.4.2-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 08:09:30 +0100

kdevelop-php (5.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 20:15:58 +0200

kdevelop-php (5.4.2-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (5.4.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 12:33:37 +0100

kdevelop-php (5.4.1-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 17 Aug 2019 11:33:46 +0100

kdevelop-php (5.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Aug 2019 18:10:59 +0200

kdevelop-php (5.4.0-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Aug 2019 10:02:16 +0100

kdevelop-php (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to >= 5.7.0
    - bump the KF packages to >= 5.28.0
    - bump kdevelop-dev to >= 5.4.0
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 10:08:58 +0200

kdevelop-php (5.3.3-1ubuntu1) eoan; urgency=medium

  * Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    - Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    - Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Jul 2019 15:11:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.15.0),
-               qtbase5-dev (>= 5.5.0),
-               libkf5archive-dev (>= 5.15.0),
-               libkf5i18n-dev (>= 5.15.0),
-               libkf5itemmodels-dev (>= 5.15.0),
-               libkf5kcmutils-dev (>= 5.15.0),
-               libkf5texteditor-dev (>= 5.15.0),
-               libkf5threadweaver-dev (>= 5.15.0),
-               kdevelop-dev (>= 4:5.3.3),
+               extra-cmake-modules (>= 5.28.0),
+               gettext,
+               qtbase5-dev (>= 5.7.0),
+               libkf5archive-dev (>= 5.28.0),
+               libkf5i18n-dev (>= 5.28.0),
+               libkf5itemmodels-dev (>= 5.28.0),
+               libkf5kcmutils-dev (>= 5.28.0),
+               libkf5texteditor-dev (>= 5.28.0),
+               libkf5threadweaver-dev (>= 5.28.0),
+               kdevelop-dev (>= 4:5.4.2),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
 Standards-Version: 4.4.0

## kdevelop-php 5.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0048 NEW)
project(kdev-php VERSION "5.5.0")

find_package(Threads)
find_package (ECM "5.28.0" REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)

set(QT_MIN_VERSION "5.7.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
set(KF5_DEP_VERSION "5.28.0")
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
    ThreadWeaver
    TextEditor
    I18n
    KCMUtils
)
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()
# KDevplatform dependency version
set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
find_package(KDevPlatform ${KDEVPLATFORM_VERSION} CONFIG REQUIRED)

ecm_setup_version(
    ${PROJECT_VERSION}
    VARIABLE_PREFIX KDEVPHP
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdevphpversion.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfigVersion.cmake"
)


set(KDEVPHP_INCLUDE_DIR ${KDE_INSTALL_INCLUDEDIR}/kdev-php)
set(KDEVPHP_PRIVATE_INCLUDE_DIR ${KDEVPHP_INCLUDE_DIR}/private/${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR})

find_package(KDevelop-PG-Qt REQUIRED)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
endif()

add_definitions( -DTRANSLATION_DOMAIN=\"kdevphp\" )

include_directories(
    ${KDEVPGQT_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(completion)
add_subdirectory(testprovider)
add_subdirectory(docs)

set(kdevphplanguagesupport_PART_SRCS
    phplanguagesupport.cpp
    phpparsejob.cpp
    phphighlighting.cpp

    codegen/refactoring.cpp
)
ecm_qt_declare_logging_category(kdevphplanguagesupport_PART_SRCS
    HEADER phpdebug.h
    IDENTIFIER PHP
    CATEGORY_NAME "kdevelop.plugins.php"
)

kdevplatform_add_plugin(kdevphplanguagesupport JSON kdevphpsupport.json
    SOURCES ${kdevphplanguagesupport_PART_SRCS})
target_link_libraries(kdevphplanguagesupport
    KDev::Interfaces
    KDev::Language
    kdevphpduchain
    kdevphpparser
    kdevphpcompletion

    KF5::I18n
    KF5::TextEditor

    Threads::Threads
)

# not writeable so that the refactoring actions get hidden
install(FILES phpfunctions.php DESTINATION ${KDE_INSTALL_DATADIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

install(FILES org.kde.kdev-php.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# kdebugsettings file
# kdebugsettings >= 18.12 supports/pushes for some newer, not backward-compatible format.
# For ECM >= 5.59 we install categories files to new location, which is only supported by
# newer kdebugsettings also supporting the new content format, so we use that as base.
if (ECM_VERSION VERSION_GREATER "5.58.0")
    install(FILES kdevphpsupport-newformat.categories RENAME kdevphpsupport.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )
else()
    install(FILES kdevphpsupport-oldformat.categories RENAME kdevphpsupport.categories
        DESTINATION ${KDE_INSTALL_CONFDIR}
    )
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDevPHP")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KDevPHPConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KDevPHPTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDevPHPTargets.cmake)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kdevphpversion.h" DESTINATION ${KDEVPHP_INCLUDE_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== duchain/tests/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR}/completion)
ecm_add_test(
    duchain.cpp
    duchaintestbase.cpp
    TEST_NAME duchain
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
)

set(expressionparser_SRCS)
ecm_add_test(
    expressionparser.cpp
    duchaintestbase.cpp
    TEST_NAME expressionparser
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
)

ecm_add_test(
    uses.cpp
    duchaintestbase.cpp
    TEST_NAME uses
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
        KDev::Interfaces
)
# don't run benchmark as part of the unit test suite (takes too long, doesn't increase test coverage)
add_executable(benchmarks
    benchmarks.cpp
    duchaintestbase.cpp
)
target_link_libraries(benchmarks
    kdevphpduchain
    kdevphpparser
    Qt5::Test
    KDev::Tests
    KDev::Language
    KDev::Interfaces
)

set(duchain_multiplefiles_SRCS
)
ecm_add_test(
    duchain_multiplefiles.cpp
    duchaintestbase.cpp
    TEST_NAME duchain_multiplefiles
    LINK_LIBRARIES
        kdevphpduchain
        kdevphpparser
        Qt5::Test
        KDev::Tests
        KDev::Language
        KDev::Interfaces
)

=== debian/changelog ===
kdevelop-php (5.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Enable all the reprotest variations in the salsa CI.
  * Bump the kdevelop-dev build dependency to 5.5.0, as indicated by the
    upstream build system.
  * Use an environment variable for the version of plugins, to minimize changes
    to kdevelop-php.install
    - add the dh-exec build dependency
    - override the lintian info on that
  * Bump Standards-Version to 4.5.0, no changes required.
  * Remove breaks/replaces for versions older than two Debian stable releases.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Feb 2020 21:36:37 +0100

kdevelop-php (5.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.6, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jan 2020 08:27:59 +0100

kdevelop-php (5.4.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.5, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Dec 2019 22:37:58 +0100

kdevelop-php (5.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.4, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Nov 2019 08:29:06 +0100

kdevelop-php (5.4.2-2) unstable; urgency=medium

  * Team upload.
  * Depend on the newer ecm
  * Move qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Sep 2019 08:01:33 -0700

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.28.0),
+               debhelper-compat (= 12),
+               dh-exec,
+               extra-cmake-modules (>= 5.59~),
                gettext,
                qtbase5-dev (>= 5.7.0),
                libkf5archive-dev (>= 5.28.0),
@@ -15,10 +16,10 @@
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.4.2),
+               kdevelop-dev (>= 4:5.5.0),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git
@@ -40,8 +41,6 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdevelop-php-docs-l10n (<< 5.0),
-Replaces: kdevelop-php-docs-l10n (<< 5.0),
 Description: localization files for KDevelop PHP plugin
  The KDevelop-PHP plugin is the language plugin for the PHP language
  for the KDevelop integrated development environment for KDE.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
+# from kdevelop
+export KDEV_PLUGIN_VERSION=33
 
 %:
 	dh $@ --with kf5

## kdevelop-php 5.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 cmake_policy(SET CMP0048 NEW)
-project(kdev-php VERSION "5.5.0")
+project(kdev-php VERSION "5.5.2")
 
 find_package(Threads)
 find_package (ECM "5.28.0" REQUIRED NO_MODULE)

=== debian/changelog ===
kdevelop-php (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set Rules-Requires-Root: no.
  * Bump the kdevelop-dev build dependency to 5.5.2, as indicated by the
    upstream build system.
  * Fix typo in the 5.5.1-1 changelog stanza.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 12:11:52 +0200

kdevelop-php (5.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.5.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sun, 10 May 2020 07:31:44 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.0),
+               kdevelop-dev (>= 4:5.5.2),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git

## kdevelop-php 5.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.0)
 cmake_policy(SET CMP0048 NEW)
-project(kdev-php VERSION "5.5.2")
+project(kdev-php VERSION "5.6.2")
 
 find_package(Threads)
 find_package (ECM "5.28.0" REQUIRED NO_MODULE)
@@ -130,7 +130,6 @@
 install(EXPORT KDevPHPTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDevPHPTargets.cmake)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kdevphpversion.h" DESTINATION ${KDEVPHP_INCLUDE_DIR})
 
+ki18n_install(po)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)

=== parser/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(test)
endif()

set(parser_STAT_SRCS
    phplexer.cpp
    parsesession.cpp
)

kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT
    "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
    "${CMAKE_CURRENT_SOURCE_DIR}/phplexer.h"
)
ecm_qt_declare_logging_category(parser_SRCS
    HEADER parserdebug.h
    IDENTIFIER PARSER
    CATEGORY_NAME "kdevelop.plugins.php.parser"
)

add_library(kdevphpparser SHARED ${parser_SRCS} ${parser_STAT_SRCS})

generate_export_header(kdevphpparser EXPORT_MACRO_NAME KDEVPHPPARSER_EXPORT
                                      EXPORT_FILE_NAME parserexport.h)
target_link_libraries(kdevphpparser LINK_PRIVATE
    KDev::Language
    KF5::I18n
)

# hack to make phpdebugvisitor.h (generated at compile time)
# use the correct EXPORT tags when compiling in MinGW
if (MINGW)
    add_definitions(-DMAKE_KDEV4PHPPARSER_LIB)
endif (MINGW)

target_include_directories(kdevphpparser
    PUBLIC $<INSTALL_INTERFACE:${KDEVPHP_PRIVATE_INCLUDE_DIR}/parser>
    PUBLIC $<INSTALL_INTERFACE:${KDEVPHP_PRIVATE_INCLUDE_DIR}>
    PUBLIC $<INSTALL_INTERFACE:${KDEVPHP_INCLUDE_DIR}>
)

if (BUILD_TESTING)
    add_executable(php-parser main.cpp)
    target_link_libraries(php-parser
        KDev::Tests
        KDev::Language
        kdevphpparser
    )
endif()

install(TARGETS kdevphpparser EXPORT KDevPHPTargets DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    parsesession.h
    phplexer.h
    tokenstream.h
    DESTINATION ${KDEVPHP_INCLUDE_DIR}/parser
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/parserexport.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpast-fwd.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpast.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpdebugvisitor.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpdefaultvisitor.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpparser.h
    ${CMAKE_CURRENT_BINARY_DIR}/phptokentext.h
    ${CMAKE_CURRENT_BINARY_DIR}/phptokentype.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpvisitor.h
    DESTINATION ${KDEVPHP_PRIVATE_INCLUDE_DIR}/parser
    COMPONENT Devel
)

=== testprovider/CMakeLists.txt ===
set(kdevphpunitprovider_PLUGIN_SRCS
    phpunitprovider.cpp
    phpunittestsuite.cpp
    phpunitrunjob.cpp
    testdoxdelegate.cpp
)
ecm_qt_declare_logging_category(kdevphpunitprovider_PLUGIN_SRCS
    HEADER testproviderdebug.h
    IDENTIFIER TESTPROVIDER
    CATEGORY_NAME "kdevelop.plugins.php.testprovider"
)

kdevplatform_add_plugin(kdevphpunitprovider
    JSON kdevphpunitprovider.json
    SOURCES ${kdevphpunitprovider_PLUGIN_SRCS}
)

target_link_libraries(kdevphpunitprovider LINK_PRIVATE
    KDev::Interfaces
    KDev::Language
    KDev::Project
    KDev::OutputView
    KDev::Util
)

install(FILES phpunitdeclarations.php DESTINATION ${KDE_INSTALL_DATADIR}/kdevphpsupport)

=== debian/changelog ===
kdevelop-php (5.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.2, as indicated by the
    upstream build system.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 10:22:37 +0100

kdevelop-php (5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.1, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch the watch file to version 4, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2020 10:15:06 +0100

kdevelop-php (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.0, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 34, according to upstream.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 16:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
@@ -16,10 +16,10 @@
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.2),
+               kdevelop-dev (>= 4:5.6.2),
                kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# from kdevelop
export KDEV_PLUGIN_VERSION=34

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# do not ship the development stuff for now
	rm -rf debian/tmp/usr/include/
	rm -rf debian/tmp/usr/lib/*/cmake/

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
https://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-php-([\d.]+)\.tar\.xz

## kdevelop-php 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,26 @@
-cmake_minimum_required(VERSION 3.0)
-cmake_policy(SET CMP0048 NEW)
-project(kdev-php VERSION "5.6.2")
+cmake_minimum_required(VERSION 3.16)
+
+# KDE Gear version, managed by release service script
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
+
+# generate patch level from release service version
+set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
+if (_micro LESS "10")
+    string(PREPEND _micro "0") # pad with 0
+endif()
+set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")
+
+project(kdev-php VERSION "5.7.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED YES)
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_DEP_VERSION "5.78.0")
 
 find_package(Threads)
-find_package (ECM "5.28.0" REQUIRED NO_MODULE)
+find_package (ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -17,9 +34,8 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 
-set(QT_MIN_VERSION "5.7.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
-set(KF5_DEP_VERSION "5.28.0")
+
 find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
     ThreadWeaver
     TextEditor
@@ -75,6 +91,8 @@
     HEADER phpdebug.h
     IDENTIFIER PHP
     CATEGORY_NAME "kdevelop.plugins.php"
+    DESCRIPTION "KDevelop plugin: PHP language support"
+    EXPORT KDEVPHP
 )
 
 kdevplatform_add_plugin(kdevphplanguagesupport JSON kdevphpsupport.json
@@ -98,18 +116,11 @@
 install(FILES org.kde.kdev-php.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # kdebugsettings file
-# kdebugsettings >= 18.12 supports/pushes for some newer, not backward-compatible format.
-# For ECM >= 5.59 we install categories files to new location, which is only supported by
-# newer kdebugsettings also supporting the new content format, so we use that as base.
-if (ECM_VERSION VERSION_GREATER "5.58.0")
-    install(FILES kdevphpsupport-newformat.categories RENAME kdevphpsupport.categories
-        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
-    )
-else()
-    install(FILES kdevphpsupport-oldformat.categories RENAME kdevphpsupport.categories
-        DESTINATION ${KDE_INSTALL_CONFDIR}
-    )
-endif()
+ecm_qt_install_logging_categories(
+    EXPORT KDEVPHP
+    FILE kdevphpsupport.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDevPHP")

=== completion/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(completion_SRCS
    worker.cpp
    item.cpp
    implementationitem.cpp
    includefileitem.cpp
    keyworditem.cpp
    context.cpp
    model.cpp
    helpers.cpp
    codemodelitem.cpp
)
ecm_qt_declare_logging_category(completion_SRCS
    HEADER completiondebug.h
    IDENTIFIER COMPLETION
    CATEGORY_NAME "kdevelop.plugins.php.completion"
    DESCRIPTION "KDevelop plugin: PHP language support - codecompletion"
    EXPORT KDEVPHP
)

add_library( kdevphpcompletion SHARED ${completion_SRCS} )
generate_export_header( kdevphpcompletion EXPORT_MACRO_NAME KDEVPHPCOMPLETION_EXPORT
                                           EXPORT_FILE_NAME phpcompletionexport.h)

target_link_libraries(kdevphpcompletion LINK_PRIVATE
    KDev::Language
    KDev::Interfaces
    KDev::Project
    kdevphpduchain
    kdevphpparser
)

install(TARGETS kdevphpcompletion EXPORT KDevPHPTargets DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== parser/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
     HEADER parserdebug.h
     IDENTIFIER PARSER
     CATEGORY_NAME "kdevelop.plugins.php.parser"
+    DESCRIPTION "KDevelop plugin: PHP language support - parser"
+    EXPORT KDEVPHP
 )
 
 add_library(kdevphpparser SHARED ${parser_SRCS} ${parser_STAT_SRCS})

=== debian/changelog ===
kdevelop-php (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:51 +0000

kdevelop-php (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:16:21 +0000

kdevelop-php (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:24:12 +0000

kdevelop-php (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:21:19 +0000

kdevelop-php (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:05:18 +0000

kdevelop-php (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:16:32 +0000

kdevelop-php (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Bump KDEV_PLUGIN_VERSION to 35, according to upstream.

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Nov 2021 12:50:08 +0000

kdevelop-php (5.6.2-2) unstable; urgency=medium

  * Team upload.
  * Use the debhelper 13 replacement features in install files:
    - switch from ${KDEV_PLUGIN_VERSION} to ${env:KDEV_PLUGIN_VERSION}
    - remove the dh-exec build dependency, no more needed
    - remove the lintian override for the old method
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Use the ${misc:Pre-Depends} substvar in kdevelop-php.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Sep 2021 07:03:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kdevelop-php
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>,
 Build-Depends: cmake (>= 3.0),
                debhelper-compat (= 13),
-               dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
-               qtbase5-dev (>= 5.7.0),
+               kdevelop-dev (>= 4:21.12.3~),
+               kdevelop-pg-qt (>= 2.0),
                libkf5archive-dev (>= 5.28.0),
                libkf5i18n-dev (>= 5.28.0),
                libkf5itemmodels-dev (>= 5.28.0),
                libkf5kcmutils-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.6.2),
-               kdevelop-pg-qt (>= 2.0),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.7.0),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-php.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 
 Package: kdevelop-php
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop
 Suggests: kdevelop-php-l10n

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=34
+export KDEV_PLUGIN_VERSION=35
 
 %:
 	dh $@ --with kf5

## kdevelop-php 22.04.1

=== debian/changelog ===
kdevelop-php (22.04.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * kdevelop-php is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.78.0
    - bump kdevelop-dev to 22.04.1
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop the manually specified kf5 addon for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 11:02:47 +0200

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.78.0~),
               gettext,
               qtbase5-dev (>= 5.15.0~),
               libkf5archive-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5itemmodels-dev (>= 5.78.0~),
               libkf5kcmutils-dev (>= 5.78.0~),
               libkf5texteditor-dev (>= 5.78.0~),
               libkf5threadweaver-dev (>= 5.78.0~),
               kdevelop-dev (>= 4:22.04.1~),
               kdevelop-pg-qt (>= 2.0),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
-
 # from kdevelop
-export KDEV_PLUGIN_VERSION=35
+export KDEV_PLUGIN_VERSION=36
 
 %:
-	dh $@ --with kf5
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

## kdevelop-php 22.08.1

=== debian/changelog ===
kdevelop-php (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:39:18 +0100

kdevelop-php (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Bump KDEV_PLUGIN_VERSION to 37, according to upstream.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 11:18:23 +0100

kdevelop-php (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:45 +0100

kdevelop-php (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:47 +0100

kdevelop-php (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:58:33 +0100

kdevelop-php (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:47:19 +0100

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>,
Build-Depends: cmake (>= 3.0),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.59~),
               gettext,
               kdevelop-dev (>= 4:22.08.1~),
               kdevelop-pg-qt (>= 2.0),
               libkf5archive-dev (>= 5.28.0),
               libkf5i18n-dev (>= 5.28.0),
               libkf5itemmodels-dev (>= 5.28.0),
               libkf5kcmutils-dev (>= 5.28.0),
               libkf5texteditor-dev (>= 5.28.0),
               libkf5threadweaver-dev (>= 5.28.0),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php

Package: kdevelop-php
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
 # from kdevelop
-export KDEV_PLUGIN_VERSION=36
+export KDEV_PLUGIN_VERSION=37
 
 %:
-	dh $@
+	dh $@ --with kf5
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

## kdevelop-php 22.12.1

=== debian/changelog ===
kdevelop-php (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:12 +0000

kdevelop-php (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:17:01 +0000

kdevelop-php (22.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Bump the kdevelop-dev build dependency to 22.12.0, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 21:35:59 +0100

kdevelop-php (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:08:31 +0000

kdevelop-php (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:04:50 +0000

kdevelop-php (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Nov 2022 14:22:23 +0000

kdevelop-php (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:08:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Modestas Vainius <modax@debian.org>,
-           Andreas Cord-Landwehr <cola@uni-paderborn.de>,
-Build-Depends: cmake (>= 3.0),
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.59~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:22.08.1~),
+               kdevelop-dev (>= 4:22.12.1~),
                kdevelop-pg-qt (>= 2.0),
-               libkf5archive-dev (>= 5.28.0),
-               libkf5i18n-dev (>= 5.28.0),
-               libkf5itemmodels-dev (>= 5.28.0),
-               libkf5kcmutils-dev (>= 5.28.0),
-               libkf5texteditor-dev (>= 5.28.0),
-               libkf5threadweaver-dev (>= 5.28.0),
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.7.0),
-Standards-Version: 4.6.0
+               libkf5archive-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5itemmodels-dev (>= 5.78.0~),
+               libkf5kcmutils-dev (>= 5.78.0~),
+               libkf5texteditor-dev (>= 5.78.0~),
+               libkf5threadweaver-dev (>= 5.78.0~),
+               qtbase5-dev (>= 5.15.0~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php

## kdevelop-php 22.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release service script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== docs/CMakeLists.txt ===
########## shared settings ##########
set(kdevphpdocs_settings_SRCS
)

kconfig_add_kcfg_files( kdevphpdocs_settings_SRCS phpdocssettings.kcfgc )

########## Documentation Plugin #####

set(kdevphpdocs_SRCS
    phpdocumentationwidget.cpp
    phpdocumentation.cpp
    phpdocsplugin.cpp
    phpdocsmodel.cpp
    ${kdevphpdocs_settings_SRCS}
)
ecm_qt_declare_logging_category(kdevphpdocs_SRCS
    HEADER phpdocsdebug.h
    IDENTIFIER DOCS
    CATEGORY_NAME "kdevelop.plugins.php.docs"
    DESCRIPTION "KDevelop plugin: PHP language support - documentation"
    EXPORT KDEVPHP
)

kdevplatform_add_plugin(kdevphpdocs JSON kdevphpdocs.json
    SOURCES ${kdevphpdocs_SRCS})
target_link_libraries(kdevphpdocs
    KDev::Interfaces
    KDev::Language
    KDev::Documentation
    KF5::KCMUtils
)

### Configuration module for PHP documentation plugin

set(kcm_kdevphpdocs_SRCS
    phpdocsconfig.cpp
    ${kdevphpdocs_settings_SRCS}
)

ki18n_wrap_ui(kcm_kdevphpdocs_SRCS phpdocsconfig.ui)

add_library( kcm_kdevphpdocs MODULE ${kcm_kdevphpdocs_SRCS} )
target_link_libraries( kcm_kdevphpdocs
    KF5::ConfigWidgets
    KF5::KIOWidgets
    KF5::I18n
    KF5::KCMUtils
)

configure_file(kcm_kdevphpdocs.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kcm_kdevphpdocs.desktop)
kcoreaddons_desktop_to_json(kcm_kdevphpdocs ${CMAKE_CURRENT_BINARY_DIR}/kcm_kdevphpdocs.desktop)
install(TARGETS kcm_kdevphpdocs DESTINATION ${KDE_INSTALL_PLUGINDIR}/kdevplatform/${KDEV_PLUGIN_VERSION}/kcm)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_kdevphpdocs.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== parser/CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
     )
 endif()
 
-install(TARGETS kdevphpparser EXPORT KDevPHPTargets DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kdevphpparser EXPORT KDevPHPTargets DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES
     parsesession.h
     phplexer.h

=== debian/changelog ===
kdevelop-php (22.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 22.12.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:54:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kdevelop-php
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:22.12.1~),
-               kdevelop-pg-qt (>= 2.0),
+               qtbase5-dev (>= 5.15.0~),
                libkf5archive-dev (>= 5.78.0~),
                libkf5i18n-dev (>= 5.78.0~),
                libkf5itemmodels-dev (>= 5.78.0~),
                libkf5kcmutils-dev (>= 5.78.0~),
                libkf5texteditor-dev (>= 5.78.0~),
                libkf5threadweaver-dev (>= 5.78.0~),
-               qtbase5-dev (>= 5.15.0~),
+               kdevelop-dev (>= 4:22.12.2~),
+               kdevelop-pg-qt (>= 2.0),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php.git
 
 Package: kdevelop-php
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
-
 # from kdevelop
-export KDEV_PLUGIN_VERSION=37
+export KDEV_PLUGIN_VERSION=510
 
 %:
-	dh $@ --with kf5
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
